### Hierarchy

- SdaPostSelectedWorkPackagesRecordsJsonSample

## Index

### Properties

- PATH

### Methods

- copyOfEmptyResponse
- copyOfResponse

### Object literals

- BODY
- EMPTY_RESPONSE
- RESPONSE

## Properties

### Static Private PATH

PATH: string = "tenants/hexagonsdaop/sessions/0ed195f6fb0d406f998118c994ec169d_671398670_4260_1017952399/dialogs/9/records"

- Defined in ppm/samples/SdaPostSelectedWorkPackagesRecordsJsonSample.ts:5

## Methods

### Static copyOfEmptyResponse

- copyOfEmptyResponse(): object

- - Defined in ppm/samples/SdaPostSelectedWorkPackagesRecordsJsonSample.ts:72

  #### Returns object

### Static copyOfResponse

- copyOfResponse(): object

- - Defined in ppm/samples/SdaPostSelectedWorkPackagesRecordsJsonSample.ts:76

  #### Returns object

## Object literals

### Static Private BODY

BODY: object

- Defined in ppm/samples/SdaPostSelectedWorkPackagesRecordsJsonSample.ts:7

### fetchDirection

fetchDirection: string = "FORWARD"

- Defined in ppm/samples/SdaPostSelectedWorkPackagesRecordsJsonSample.ts:8

### fetchMaxRecords

fetchMaxRecords: number = 50

- Defined in ppm/samples/SdaPostSelectedWorkPackagesRecordsJsonSample.ts:9

### type

type: string = "hxgn.api.dialog.QueryParameters"

- Defined in ppm/samples/SdaPostSelectedWorkPackagesRecordsJsonSample.ts:10

### Static Private EMPTY_RESPONSE

EMPTY_RESPONSE: object

- Defined in ppm/samples/SdaPostSelectedWorkPackagesRecordsJsonSample.ts:63

### defaultActionId

defaultActionId: null = null

- Defined in ppm/samples/SdaPostSelectedWorkPackagesRecordsJsonSample.ts:66

### dialogAlias

dialogAlias: string = "Briefcase_Briefcase_Workpackages"

- Defined in ppm/samples/SdaPostSelectedWorkPackagesRecordsJsonSample.ts:64

### dialogName

dialogName: string = "Briefcase_Briefcase_Workpackages"

- Defined in ppm/samples/SdaPostSelectedWorkPackagesRecordsJsonSample.ts:65

### hasMore

hasMore: boolean = false

- Defined in ppm/samples/SdaPostSelectedWorkPackagesRecordsJsonSample.ts:68

### records

records: undefined[] = []

- Defined in ppm/samples/SdaPostSelectedWorkPackagesRecordsJsonSample.ts:67

### type

type: string = "hxgn.api.dialog.RecordSet"

- Defined in ppm/samples/SdaPostSelectedWorkPackagesRecordsJsonSample.ts:69

### Static Private RESPONSE

RESPONSE: object

- Defined in ppm/samples/SdaPostSelectedWorkPackagesRecordsJsonSample.ts:13

### defaultActionId

defaultActionId: null = null

- Defined in ppm/samples/SdaPostSelectedWorkPackagesRecordsJsonSample.ts:16

### dialogAlias

dialogAlias: string = "Briefcase_Briefcase_Workpackages"

- Defined in ppm/samples/SdaPostSelectedWorkPackagesRecordsJsonSample.ts:14

### dialogName

dialogName: string = "Briefcase_Briefcase_Workpackages"

- Defined in ppm/samples/SdaPostSelectedWorkPackagesRecordsJsonSample.ts:15

### hasMore

hasMore: boolean = false

- Defined in ppm/samples/SdaPostSelectedWorkPackagesRecordsJsonSample.ts:59

### records

records: object[] = [{"annotations": [],"id": "6GW7000A","type": "hxgn.api.dialog.Record","properties": [{"name": "Creation_Date","format": "date-time","annotations": [],"type": "hxgn.api.dialog.Property","value": "2017-10-11T10:32:31"}, {"name": "Last_Update_Date","format": "date-time","annotations": [],"type": "hxgn.api.dialog.Property","value": "2017-10-11T10:32:31"}, {"name": "Disciplines","format": null,"annotations": [],"type": "hxgn.api.dialog.Property","value": null}, {"name": "Id","format": null,"annotations": [],"type": "hxgn.api.dialog.Property","value": "6GW7000A"}, {"name": "Description","format": null,"annotations": [],"type": "hxgn.api.dialog.Property","value": "SDA Mobile Test Package"}, {"name": "Name","format": null,"annotations": [],"type": "hxgn.api.dialog.Property","value": "SDA Mobile Test Package"}]}]

- Defined in ppm/samples/SdaPostSelectedWorkPackagesRecordsJsonSample.ts:17

### type

type: string = "hxgn.api.dialog.RecordSet"

- Defined in ppm/samples/SdaPostSelectedWorkPackagesRecordsJsonSample.ts:60

Generated using TypeDoc